
Redmine - Defect #2567

Unable to send mail notifications

2009-01-23 09:59 - Rakesh Pathak

Status: Closed Start date: 2009-01-23

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Hi Team,

I can't seem to send any notifications. When I attempt to run the send email test I receive the following error:

An error occurred while sending mail (undefined method `finder' for #)

My email.yml:

development:

delivery_method: :sendmail

smtp_settings:

address: 127.0.0.1

port: 25

domain: blah.dev

I've tried multiple methods even with the default email configuration file and the same error occurs. In my development.log I do not

see anything out of the ordinary?

Any ideas?

Thanks in advance.

History

#1 - 2009-01-23 18:29 - Jean-Philippe Lang

If you're using sendmail method instead of smtp, your email.yml should look like this:

development:

  delivery_method: :sendmail

  sendmail_settings:

    location: ... (The location of the sendmail executable. Defaults to /usr/sbin/sendmail)

    arguments: ... (The command line arguments. Defaults to -i -t)

 If you're still getting an error, please post the error stack trace.

#2 - 2009-01-24 06:08 - Rakesh Pathak

- Status changed from New to Resolved

I apologize in advance. I am a moron.

I was using rails v 2.2.2 when the web site specifically mentioned not to. Sorry!

Thanks so much for the response.

Much appreciated.

#3 - 2009-01-24 09:56 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Affected version (unused) deleted (0.8.0)
